// the code that does all the heavy lifting is the "processData" function


if(!com) var com={};
if(!com.vinny2020) com.vinny2020={};

	
com.vinny2020.myPackage = function(){
	var pub = {};
	
	//---------------------------------------
	
	var DEBUG = false;	
	
	var G_hiddenWnd = Components.classes["@mozilla.org/appshell/appShellService;1"].getService(Components.interfaces.nsIAppShellService).hiddenDOMWindow ; 
//	G_hiddenWnd.Components.classes["@mozilla.org/moz/jssubscript-loader;1"].getService(Components.interfaces.mozIJSSubScriptLoader).loadSubScript("chrome://espnlive/content/globalObject.js");
	         
	//G_hiddenWnd.handleCasterMessage();
	//function handleCasterMessage(ll11,ll22) {}

	
	
	//writeLog1 (G_hiddenWnd);
	var G_featuredGamesLength = 0;
	var GS_displayName = "sf";
	var G_gameDate = "";
	var prefs ;
	var intervalSet = 		"sportsfox.refresh.interval";
	var teamSet = 			"sportsfox.favTeam";
	var myFavTeamsSet =		"sportsfox.myFavTeams";  //list of favorite teams for each league?
	var sportSet = 			"sportsfox.defaultSport";
	var todayOnlySet = 		"sportsfox.displayTodayOnly";
	var myTeamOnlySet = 	"sportsfox.displayMyTeamOnly";
	var tickerSet = 		"sportsfox.ticker";
	var timerSet = 			"sportsfox.refresh";
	var sliderSet =			"sportsfox.slider";
	var GS_backgroundColor = {};
	var GS_slider = false;
	//var otherColor = "#FFFDBF";
	var otherColor = "#EECFA1";
	otherColor = "#F9E8B3";
	var mainColor = "lightblue";
	var GS_days = {"today":0,"yesterday":1,"tomorrow":-1};
	var GS_currentDay = GS_days["today"]; 
	var	lb_index2 = {"NFL":0,"NCF":1,"NCB":2,"NCW":3,"NHL":4,"NBA":5,"MLB":6,"WNBA":7,"AFL":8};
	//var	lb_index2 = {"MLB":0,"NBA":1,"NFL":2,"NHL":3,"NCF":4,"NCB":5,"NCW":6,"WNBA":7};
	var lb_index = {0:"nfl",1:"ncf",2:"ncb",3:"ncw",4:"nhl",5:"nba",6:"mlb",7:"wnba",8:"afl"	};
	
	
	var GB_timerOnOff  = false;
	var GB_tickerOnOff = false;
	var GB_todayOnly   = false;
	var GB_myTeamOnly  = false;
	
	
	var GS_favTeam = "";
	var GS_favLeague = ""; 
	var GS_otherTeams = ""; 
	var GS_favTeams = {};  //keep the favorite teams in an object by league
	var GS_otherTeamsToShow = {}; //other teams to show per league
	var G_Root_URL = "http://sports.espn.go.com";
	var sServerText;
	var G_SportsFoxInterval;
	var SportsFoxPrefs = {refresh:180,defaultSport:"NFL",favTeam:""};
	var req1;
	
	var EP1_newString  ;
	var EP1_req	;		// global httpRequestObject
	var savedInterval;	// the main program refresh interval
	var tempInterval = 0;	//this is here so I could see if the refresh was happening
	var iCounter = 0 ;  // this counter keeps track of which game we are displaying in the status bar
	var G_refreshInterval =120 ;
	// number of elements that were already in the menu before we started processing
	var G_keep_menu_items ;
	var EP1_div1;		// our global div element we will use for processing requests
	var	ff_label;		// the statusbar panel location we will be updating
	var G_sportToShow = {league:null} // this can be saved in the prefs;
	var gSportsFox = null;
	var pMeter;
	var bShowFeaturedGame = false;
	var sFeaturedGameValue ;
	var FeaturedGames = new Array();
	var G_inits =  null;
	

	pub.G_sportToShow = G_sportToShow;
	pub.G_refreshInterval = G_refreshInterval;

	
	pub.version = "1.15";

	pub.myAppName = "SportsFox";


	pub.myFunction = function (msg) {
		
		}
	
	pub.writeLog = function(msg) {
		
		var myLog = Components.classes['@mozilla.org/consoleservice;1'].getService(Components.interfaces.nsIConsoleService);
		myLog.logStringMessage(msg);
	
		}

	function $ (invalue) {
		return document.getElementById(invalue);
		}
			
	pub.setAppTitle = function (){
//	writeLog1("set app title");
//	writeLog1("pub.myAppName: " + pub.myAppName);
//	writeLog1("pub.version: " + pub.version);
	
		$("appname").setAttribute("value", pub.myAppName + " " +pub.version);
		}

	pub.mProcess = function(){
		window.open('http://sportsfoxinfo.blogspot.com/'); window.close();
		}

	
function writeLog1(msg) {
	
	if (DEBUG) {
		var myLog = Components.classes['@mozilla.org/consoleservice;1'].getService(Components.interfaces.nsIConsoleService);
		var d = new Date();

		myLog.logStringMessage("sF " + d.toUTCString() + " : " + msg);
		}	

	}
			



	
function initPrefs(){
//writeLog1("init Prefs");

	try {
	netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect"); 
    netscape.security.PrivilegeManager.enablePrivilege("UniversalBrowserRead");
   } catch (e) {
    //writeLog1("xmlhttpEP1_request Error: "+e.toString());
   }

	prefs = Components.classes["@mozilla.org/preferences-service;1"].
                getService(Components.interfaces.nsIPrefBranch);
                
    prefs.getPrefType(timerSet) !== prefs.PREF_BOOL ? GB_timerOnOff = false: GB_timerOnOff = prefs.getBoolPref(timerSet) ;
    prefs.getPrefType(tickerSet) !== prefs.PREF_BOOL ? GB_tickerOnOff = false: GB_tickerOnOff = prefs.getBoolPref(tickerSet);
    prefs.getPrefType(todayOnlySet) !== prefs.PREF_BOOL ? GB_todayOnly = false: GB_todayOnly = prefs.getBoolPref(todayOnlySet) ;
    prefs.getPrefType(myTeamOnlySet) !== prefs.PREF_BOOL ? GB_myTeamOnly = false: GB_myTeamOnly = prefs.getBoolPref(myTeamOnlySet) ;
    prefs.getPrefType(sliderSet) !== prefs.PREF_BOOL ? GS_slider = false: GS_slider = prefs.getBoolPref(sliderSet) ;
    
    prefs.getPrefType(teamSet) !== prefs.PREF_STRING ? GS_favTeam="": GS_favTeam=prefs.getCharPref(teamSet) ;
    prefs.getPrefType(sportSet) !== prefs.PREF_STRING ? GS_favLeague="NCB": GS_favLeague=prefs.getCharPref(sportSet) ;
    prefs.getPrefType(intervalSet) !== prefs.PREF_STRING ? G_SportsFoxInterval=120: G_SportsFoxInterval=prefs.getCharPref(intervalSet);
    prefs.getPrefType(myFavTeamsSet) !== prefs.PREF_STRING ? GS_otherTeams="": GS_favTeam=prefs.getCharPref(myFavTeamsSet);
    
	G_inits = {timer:GB_timerOnOff,ticker:GB_tickerOnOff,onlyToday:GB_todayOnly,team:GS_favTeam,league:GS_favLeague,interval:G_SportsFoxInterval}
	GS_backgroundColor["main"] =mainColor;
	GS_backgroundColor["other"] =otherColor;
	GS_currentDay = GS_days["today"]; 
//writeLog1("GS_currentDay: "+GS_currentDay);

	for (league in lb_index2) {
		var tempLeague, tempLeague2;
		tempLeague=myFavTeamsSet+"."+league;
		tempLeague2=teamSet+"."+league;
	    prefs.getPrefType(tempLeague) !== prefs.PREF_STRING ? GS_otherTeamsToShow[league]="":GS_otherTeamsToShow[league]=prefs.getCharPref(tempLeague);
	    prefs.getPrefType(tempLeague2) !== prefs.PREF_STRING ? GS_favTeams[league]="":GS_favTeams[league]=prefs.getCharPref(tempLeague2);
		
	}    
}


function SportsFox() {};



SportsFox.prototype.featuredGame = "Featured Game Value";
SportsFox.prototype.currentLeague = "";

pub.sportsFoxLoad = function () {
writeLog1("starting sportsFox main load...");
		  initPrefs();
		  gSportsFox = new SportsFox();
		  pub.gSportsFox = gSportsFox;
		  gSportsFox.start();
		// get whether the user wants to start automatically and what sport to start..  
		  G_refreshInterval = G_SportsFoxInterval;
		  pub.G_refreshInterval = G_refreshInterval;
		  gSportsFox.runSport(GS_favLeague) ;
		}
		



SportsFox.prototype = {

		translate: function (sport){
			var sURL = {
			 "NCF":"College Football",
			 "NCB":"Men's College Basketball",
			 "NCW":"Women's College Basketball",
			 "NFL":"National Football League",
			 "NHL":"National Hockey League",
			 "NBA":"National Basketball Association",
			 "WNBA":"Women's National Basketball Association",
			 "MLB":"Major League Baseball",
			 "MLS":"Major League Soccer",
			 "MISL":"Major Indoor Soccer League",
			 "":""
			 }
			 return sURL[sport.toUpperCase()];
		 },
		
		runSport: function(league) {
			writeLog1("run sport " + league);
			  setSport(league);
		//  	  gSportsFox.start();
			  window.clearInterval(savedInterval);
		  	 window.clearInterval(tempInterval);
		//  	  gSportsFox.stopInterval();
		  	  //gSportsFox.stopTicker();
		  	  if (GB_timerOnOff){
			  	  gSportsFox.setMyInterval(league,G_refreshInterval);
			  }
			  if (GB_tickerOnOff){
			  	  gSportsFox.startTicker();
			  }
			  
			espnLive();
			  
		},	
		
		setDay: function(dayToSet) {
		//var GS_days = {"today":0,"yesterday":-1,"tomorrow":1};
		//writeLog1("setDay dayToSet: "+dayToSet);
		
		GS_currentDay = GS_days[dayToSet]; 
//		writeLog1("changing day: " +GS_currentDay);
		espnLive();
		
		
		},
		
		refresh: function() {
			espnLive();
		},
		
		start: function(){
			ff_label = document.getElementById("vxl-ff")	;
			pMeter = document.getElementById("vxl-ff-progress")	;
			//if our special element doesn't already exist, then create it.
			var tempname = "div-footballfox1";
			if (!document.getElementById(tempname)) {
				EP1_div1 = G_hiddenWnd.document.createElement("div");
				G_hiddenWnd.document.body.appendChild(EP1_div1);
				EP1_div1.id=tempname;
			}
			else {
				EP1_div1 = document.getElementById(tempname);
				EP1_div1.innerHTML="";
			}
			// we're going to need to know how many menu items we originally have, so we can delete the ones we create
			// when we refresh the scores
			G_keep_menu_items = document.getElementById("ffpopmenu2").childNodes.length-1;
		
		} ,
		setMyInterval: function(sport,seconds) {	
			
			this.seconds = seconds * 1000;
		//	setSport(G_sportToShow.league);
			setSport(sport);
		//	espnLive();
			savedInterval = window.setInterval("espnLive()",this.seconds);
			GB_timerOnOff = true;
			updateStatusBar();
		},
		
		showSlider: function() {
			
		netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect"); 
		try {	
				var writeLog1sService = Components.classes["@mozilla.org/writeLog1s-service;1"]
		                              .getService(Components.interfaces.nsIwriteLog1sService);
				writeLog1sService.showwriteLog1Notification("", "SportsFox - " +gSportsFox.currentLeague, gSportsFox.featuredGame, 
		                                    false, "", null);
		}
		catch (e) {
			 //writeLog1( e.message); 
		}	
		},
		
		stopInterval: function() {
			if (savedInterval > -1) {
			  window.clearInterval(savedInterval);
		     }
			window.clearInterval(savedInterval);
		
			GB_timerOnOff=false;
		},
		
		stopTicker: function() {
			window.clearInterval(tempInterval);
			GB_tickerOnOff = false;
			updateStatusBar();
			},
		
		startTicker: function() {
			writeLog1("Starting ticker...");
			window.clearInterval(tempInterval)
			if (tempInterval > -1) {
			  window.clearInterval(tempInterval);
			writeLog1("Stop timer #: " + tempInterval);
		     }
		    ff_changer();
//			tempInterval = window.setInterval("ff_changer()",5000);
			writeLog1("Starting new ticker timer...");
			//tempInterval = window.setInterval("ff_changer()",5000);
			tempInterval = window.setInterval("com.vinny2020.myPackage.ff_changer()",5000);
			
			writeLog1("Ticker should be started... timer #: " + tempInterval);
			GB_tickerOnOff		= true;
			updateStatusBar();
			}
		}


		pub.setMyInterval = function(sport,seconds) {	
			
			this.seconds = seconds * 1000;
		//	setSport(G_sportToShow.league);
			setSport(sport);
		//	espnLive();
			savedInterval = window.setInterval("espnLive()",this.seconds);
			GB_timerOnOff = true;
			updateStatusBar();
		}

				
	writeLog = function(msg) {
		var myLog = Components.classes['@mozilla.org/consoleservice;1'].getService(Components.interfaces.nsIConsoleService);
		myLog.logStringMessage(msg);
		}

		
	sportsURL = function(sport) {
		var sURL = {
		 "NCF":"http://sports.espn.go.com/ncf/scoreboard",
		 "NCB":"http://sports.espn.go.com/ncb/scoreboard",
		 "NCW":"http://sports.espn.go.com/ncw/scoreboard",
		 "NFL":"http://sports.espn.go.com/nfl/scoreboard",
		 "NHL":"http://sports.espn.go.com/nhl/scoreboard",
		 "NBA":"http://sports.espn.go.com/nba/scoreboard",
		 "WNBA":"http://sports.espn.go.com/wnba/scoreboard",
		 "AFL":"http://sports.espn.go.com/extra/afl/scoreboard",
		 "MLB":"http://scores.espn.go.com/mlb/scoreboard",
		 "MILS":"http://soccernet.espn.go.com/fixtures?league=usa.misl&cc=5901",
		 "MLS":"http://soccernet.espn.go.com/scoreboard?league=usa.1&cc=5901",
		 "PGA":"http://sports.espn.go.com/golf/leaderboard",
		 "LPGA":"http://soccernet.espn.go.com/scoreboard?league=all&cc=5901",
		 "":""
		 };
		 // default current date instead of just going to the espn main page
		// sURL[sport] += "?date="+webPageDate(0);
		 
		 if (GS_currentDay != GS_days["today"]) {
			 switch (sport){
				case "NHL":
				case "NCB":
				case "NCW":
				case "NCF":
					 sURL[sport] += "?date="+webPageDate(GS_currentDay);
					 break;
				case "NFL":
				case "NBA":
				case "WNBA":
				case "MLB":
				case "AFL":
					 sURL[sport] += "?date="+webPageDate(GS_currentDay);
					 break;
				default:
					 sURL[sport] += "?date="+webPageDate(GS_currentDay);
					
			 }
	//		 writeLog("sURL = " + sURL[sport]);
		 } 
//		 writeLog1(" surl: " + sURL[sport]);
		 return sURL[sport]	;
		}


			
	getData = function (sport){
	// sport is {league:"whatEverLeagueYouWant"}	
	var myURL;
	
	
	pMeter.removeAttribute("value");
	pMeter.setAttribute("mode", "undetermined");
	pMeter.parentNode.setAttribute("selectedIndex", "1");  
	pMeter.removeAttribute("collapsed");
	
	
	myURL=sportsURL(sport)	;
//	writeLog1("get data");
	EP1_req = new XMLHttpRequest();
	EP1_req.onreadystatechange=getReturnedData;
	
	try {
	netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect"); 
	    netscape.security.PrivilegeManager.enablePrivilege("UniversalBrowserRead");
	   } catch (e) {
	    writeLog1("xmlhttpEP1_request Error: "+e.toString());
	//    writeLog1("xmlhttpEP1_request Error: ");
	   }
	
	
	EP1_req.open("GET",myURL,true);
	EP1_req.send(null);
	
//	writeLog1(" get :" + myURL);
	
	}
	
		function getReturnedData(){
		if (EP1_req.readyState==4) {
					newString = EP1_req.responseText;
					
					newString = newString.replace(/object/gi, "p_object");
	//				newString = newString.replace(/toString/gi, "p_object");
					
	//				writeLog(newString);
					EP1_div1.innerHTML=newString            ;
					processData();
					addURL(G_sportToShow.league);  // add the link to visit the page where the scores come from
					
		}
		
	}
		

	
	
	

	espnLive = function (){
		showStatus(GS_displayName + " Loading " +G_sportToShow.league);
		writeLog1(" sportsFox ... refreshing data for: " + G_sportToShow.league);
		getData(G_sportToShow.league);
		updateStatusBar();
	
	}
	
	pub.espnLive = function (){
		showStatus(GS_displayName + " Loading " +G_sportToShow.league);
		getData(G_sportToShow.league);
		updateStatusBar();
	
	}
	
	setSport = function(sportsLeague){
		G_sportToShow.league = sportsLeague;
		pub.G_sportToShow = G_sportToShow;
		gSportsFox.currentLeague = gSportsFox.translate(sportsLeague);
		ff_label = document.getElementById("vxl-ff");
		//ff_label.label= GS_displayName +"-"+getSport() ;
		updateStatusBar();
	}
	
	pub.setSport = function(sportsLeague){
		G_sportToShow.league = sportsLeague;
		pub.G_sportToShow = G_sportToShow;
		gSportsFox.currentLeague = gSportsFox.translate(sportsLeague);
		ff_label = document.getElementById("vxl-ff");
		//ff_label.label= GS_displayName +"-"+getSport() ;
		updateStatusBar();
	}

		
	function getSport(){
		return  (G_sportToShow.league);
		}
		
	function getFeaturedGamesLength() {
		return (G_featuredGamesLength);
		}
	
	function ff_changer(){
//		ff_label = document.getElementById("vxl-ff");
//		ff_label.label= GS_displayName+"-"+getSport() + new Date().getSeconds();
		if (iCounter>getFeaturedGamesLength()) {
			iCounter=0;
		}	
		showStatus( FeaturedGames[iCounter]);
//		showStatus( new Date());
		iCounter++;
	}
	
	pub.ff_changer = function() { //		ff_label = document.getElementById("vxl-ff");
//		ff_label.label= GS_displayName+"-"+getSport() + new Date().getSeconds();
		if (iCounter>getFeaturedGamesLength()) {
			iCounter=0;
		}	
//		showStatus(getSport() + " - "+	G_gameDate + " : " + FeaturedGames[iCounter]);
		showStatus(getSport() + " : " + FeaturedGames[iCounter]);
//		showStatus( new Date());
		iCounter++;
 }

		
		
	
	function addURL(sport) {
	    var aPopup = document.getElementById("ffpopmenu2");
		var url=sportsURL(sport);
	    var menuitem1 = document.createElement("menuitem");
	    var sep1 = document.createElement("menuseparator");
	    
	    menuitem1.setAttribute("label","Visit ESPN.com");
	    menuitem1.setAttribute("oncommand","window.open('" +url+"');");
	    
	    aPopup.appendChild(sep1);
	    aPopup.appendChild(menuitem1);
	    	
	}
	
	function addMessage(messageInfo) {
	  var aPopup = document.getElementById("ffpopmenu2");
	  var menuitem1 = document.createElement("menuitem");
	  menuitem1.setAttribute("label",messageInfo);
	  aPopup.appendChild(menuitem1);
	  
	}

	function addDateSep(dateInfo,num){
	  var ss = new Date();
	  ss = ss.getMilliseconds();
	  var aPopup = document.getElementById("ffpopmenu2");
	  var newSepItem = document.getElementById("ff-xsepx-"+num);
	  var s1 = document.getElementById("ff-sep1-"+num);
	  var s2 = document.getElementById("ff-sep2-"+num);
	  
	  var menuitem1 = document.createElement("menuitem");
	  var separator1 = document.createElement("menuseparator");
	  var separator2 = document.createElement("menuseparator");
	  
	  separator1.setAttribute("id","ff-sep1-"+num);
	  separator2.setAttribute("id","ff-sep2-"+num);
	
	
	  menuitem1.setAttribute("label",G_sportToShow.league + " " + dateInfo );
	  menuitem1.setAttribute("id","ff-xsepx-"+num);
	  menuitem1.style.color ="blue";
	  aPopup.appendChild(separator1);
	  aPopup.appendChild(menuitem1);
	  aPopup.appendChild(separator2);
	
	}
	
	function clearMenu(endHere){
		var el = document.getElementById("ffpopmenu2");
		// delete all the game information but not the menu stuff
		// endHere is where the original menu elements ended
		for(xx=el.childNodes.length-1;xx>endHere;xx--) {
	     el.removeChild(el.childNodes[xx]);
		}
	}
	
	function showStatus(info){
		ff_label = document.getElementById("vxl-ff");
		ff_label.label = info;
	}
	
	
	
	function stopInterval(){
		window.clearInterval(savedInterval);
		window.clearInterval(tempInterval);
		GB_timerOnOff=false;
		updateStatusBar();
		//	writeLog1("Refresh is stopped now.")
	}
	
	pub.stopInterval = function(){
		window.clearInterval(savedInterval);
		window.clearInterval(tempInterval);
		GB_timerOnOff=false;
		updateStatusBar();
		//	writeLog1("Refresh is stopped now.")
	}
	
	
	function updateStatusBar() {
		if (GB_timerOnOff) {	
			showStatus(GS_displayName+"-"+G_sportToShow.league );
			}
		else {
			showStatus(GS_displayName+"-"+G_sportToShow.league +"." );
		}
	
	}

function openPrefs() {

var myWin = 'chrome://espnlive/content/settings2.xul';
window.openDialog(myWin,'optionsWin','chrome');
//window.open(myWin,'optionsWin','chrome,width=400,height=600')
	
}



pub.changeTimers = function (inOptions){
	
//	window.opener.changeTimers({tickerOn:$("fbf_tickerOnOff").checked,timerOn:$("fbf_timerOnOff").checked,timerSpeed:$("fbf_interval").value});
	gSportsFox.stopTicker();
	gSportsFox.stopInterval();
	inOptions.tickerOn ? gSportsFox.startTicker() : gSportsFox.stopTicker();
	inOptions.timerOn ?  gSportsFox.setMyInterval(GS_favLeague,G_SportsFoxInterval) : gSportsFox.stopInterval();
//	gSportsFox.runSport(GS_favLeague);
	updateStatusBar();
	
}



function changeTimers(inOptions){
	
//	window.opener.changeTimers({tickerOn:$("fbf_tickerOnOff").checked,timerOn:$("fbf_timerOnOff").checked,timerSpeed:$("fbf_interval").value});
	gSportsFox.stopTicker();
	gSportsFox.stopInterval();
	inOptions.tickerOn ? gSportsFox.startTicker() : gSportsFox.stopTicker();
	inOptions.timerOn ?  gSportsFox.setMyInterval(GS_favLeague,G_SportsFoxInterval) : gSportsFox.stopInterval();
//	gSportsFox.runSport(GS_favLeague);
	updateStatusBar();
	
}

function changeTeam(inOptions){
	
//	window.opener.changeTimers({tickerOn:$("fbf_tickerOnOff").checked,timerOn:$("fbf_timerOnOff").checked,timerSpeed:$("fbf_interval").value});
writeLog1("changing team...");
   GS_favLeague = inOptions.sport;
   GS_favTeam = inOptions.team;
   G_sportToShow.league = GS_favLeague   
   pub.G_sportToShow = G_sportToShow;
//   espnLive();

	
}

pub.changeTeam = function(inOptions){
	
//	window.opener.changeTimers({tickerOn:$("fbf_tickerOnOff").checked,timerOn:$("fbf_timerOnOff").checked,timerSpeed:$("fbf_interval").value});
writeLog1("changing team...");
   GS_favLeague = inOptions.sport;
   GS_favTeam = inOptions.team;
   G_sportToShow.league = GS_favLeague   
   pub.G_sportToShow = G_sportToShow;
//   espnLive();

	
}

function setFavorites(inTeams){
writeLog1("set faves...");
	GS_favTeams = inTeams.main;
	GS_otherTeamsToShow = inTeams.other;
	GB_myTeamOnly = inTeams.myTeamOnly;
	GS_slider = inTeams.sliderSet;

		espnLive();

}

pub.setFavorites = function(inTeams){
writeLog1("set faves...");
	GS_favTeams = inTeams.main;
	GS_otherTeamsToShow = inTeams.other;
	GB_myTeamOnly = inTeams.myTeamOnly;
	GS_slider = inTeams.sliderSet;

		espnLive();

}

function webPageDate(d) {
	
   var dtnow = new Date();
   var dtcalc = new Date(dtnow - d*24*60*60*1000);
	
	var a = dtcalc;
	
	var yy = a.getFullYear().toString();
	var mm = a.getMonth();
	var dd = a.getDate();
	
	if (mm<10) 
		mm = "0"+(mm+1).toString();
	else
		mm = mm.toString();
		
	if (dd<10)
	   dd = "0"+dd.toString();
	else
	   dd = dd.toString();
   
return yy+mm+dd;
	
}

function getTeamName(sport,teamId) {
//	writeLog1("inside!");
	//writeLog1(sport + teamId);
	var xmlDoc = document.implementation.createDocument("", "", null);
	// load the settings to find the Text associated with the value
	xmlDoc.async=false;
	xmlDoc.load("chrome://espnlive/content/settings2.xul");
	// we are searching for an element like <listbox id="fbf_team_nfl" rows="10" >
	var elementToSearch = "fbf_team_" +sport;
	elementToSearch = elementToSearch.toLowerCase();
	//writeLog1(elementToSearch);
	//myTeams = xmlDoc.evaluate("//listbox[@id='"+elementToSearch+"']", xmlDoc, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
	var realTeamName = "";
	var teamNames = "";
	var teamNamesList = "";
	
	teamNames = xmlDoc.getElementById(elementToSearch);
	
	if (teamNames.hasChildNodes) {
	    node1 = teamNames.firstChild;
		firstItem = teamNames.firstChild.nodeType; 
		

		teamNamesList = teamNames.childNodes;
		var tot = 0;
		tot = teamNamesList.length;
		for (x=0;x<tot-1;x++) {

			if (teamNamesList.item(x).nodeType == 1) {
				if (teamNamesList.item(x).getAttribute("value") == teamId) {
					realTeamName = teamNamesList.item(x).getAttribute("label");
					break;
					 }
				}
			}
		}
	
	return realTeamName;

}


		
	function addTeam(teamInfo){
	  var aPopup = document.getElementById("ffpopmenu2");
	  var newMenuItem = document.getElementById("ff-"+teamInfo.id);
	  var gameQuarters = {"1st":"green","2nd":"darkgreen","3rd":"darkorange","4th":"red","5th":"orange","6th":"blue","7th":"purple","8th":"darkorange","9th":"red","Postponed":"red","OT":"lime","Halftime":"purple"," ":"black","Final":"indigo","":"indigo"};
	  		
	  var menuitem1 = document.createElement("menuitem");
	  menuitem1.setAttribute("label",teamInfo.label);
	  var gameStatus = " ";
	  var gsInfo = teamInfo.gameStatus.split(" ");
	
	   if (gsInfo.length==1){
		  gameStatus = gsInfo[0];
		}
	   else 
		  gameStatus = gsInfo[1];
	
	   if (teamInfo.label.indexOf("End")>0){
		  gameStatus = gsInfo[0];
		   
	   }
	  
	  if (gameQuarters[gameStatus]){
		  menuitem1.style.color=gameQuarters[gameStatus];
		  //writeLog("set color: " + gameQuarters[gameStatus]);
		}
		
	    var iTeam = "";
	    var iTeam2 = "";
	   
	    try {
	        iTeam = GS_favTeams[G_sportToShow.league].split(",");
	        iTeam2 = GS_otherTeamsToShow[G_sportToShow.league].split(",");
	    }
	    catch (e) {
	//	    	    writeLog1("error 4");
	    }
	
	
	// check other teams to highlight
	for (pp=0;pp<iTeam2.length-1;pp++) {
	//	writeLog("team1: " +teamInfo.team2);
	//	writeLog("iteam2: " +iTeam2[pp]);
	  if ((teamInfo.team1 == iTeam2[pp]) || (teamInfo.team2 == iTeam2[pp])) {
	//	  writeLog("change bk color to " + GS_backgroundColor["other"]);
		  menuitem1.style.backgroundColor= GS_backgroundColor["other"];
		  menuitem1.style.MozAppearance = 'none';
	//	  writeLog("set backgroundColor = " + GS_backgroundColor["other"] ); 
		}
	}
	
	// set the favorite team color second because the opponent may be one of the "other" favorites
	//the favorite team is always only going to be one item.  I guess I could change the way I save it and clean this up..
	for (pp=0;pp<iTeam.length-1;pp++) {
	  if ((teamInfo.team1 == iTeam[pp]) || (teamInfo.team2 == iTeam[pp])) {
		  menuitem1.style.backgroundColor= GS_backgroundColor["main"];
		  menuitem1.style.MozAppearance = 'none';
		  
	//	  writeLog("Changing favorite team background color...");
		}
	}
	 
	  menuitem1.setAttribute("id","ff-"+teamInfo.id);
	  if (teamInfo.href != "#") {
		  menuitem1.setAttribute("oncommand","window.openDialog('"+teamInfo.href+"','teamWin','chrome,width=800,height=600');");
		}
		else {
	  	    menuitem1.setAttribute("oncommand","noMsg();");
		}
	  aPopup.appendChild(menuitem1);
	  }
	  
	  			function noMsg() {
			var pS = Components.classes["@mozilla.org/embedcomp/prompt-service;1"].getService(Components.interfaces.nsIPromptService);
			var noWindowMsg = "Sorry, no details currently exist for this game."
			pS.writeLog1(window,"SportsFox",noWindowMsg);		
	}
	
	

	//---------------------------------------

	
	
		//-------------- Main processing....
	
	function processData(){
	var doc1 = G_hiddenWnd.document;
	var findGamesTextPreceding;
	var findGamesTextFollowing;
	
	var statusRight;
	
	//		 writeLog("processing... " + G_sportToShow.league);
	
	switch (G_sportToShow.league){
		case "MLB1":
	        gameDates = doc1.evaluate("//div[@id='allGames']//div[@class='leagueLabel']", doc1, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
	        findGamesTextPreceding = "preceding::div[@class='gameContainer']";
	        findGamesTextFollowing = "following::div[@class='gameContainer']";
	        teamNode =  "descendant::td[@class='teamLine']//a[@href]";
	        playoffNode =  "descendant::td[@class='teamLine']//b";
	//        scoreNode =  "descendant::td[@class='tScoreLine']";
	        scoreNode =  "descendant::td[contains(@id,'RunsTotal')]";
	        statusNode = "descendant::td[contains(@class,'teamTop')]";
	        gameCoverageNode = "descendant::div[@class='gameLinks']//a[@href]";
	        break;
		case "NHL":
	        playoffNode =  "descendant::td[@class='teamLine']//b";
		
	
			gameDates = doc1.evaluate("//div[@class='key-dates']//h2", doc1, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
			gameDatesText = doc1.evaluate("//div[@class='key-dates']//h2", doc1, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
			findGamesTextPreceding = "preceding::div[@class='game-header']"
			findGamesTextFollowing = "following::div[@class='game-header']"
	
			teamNode =  "descendant::a[contains(@href,'clubhouse')]";
	//<a href="clubhouse?team=kan"
			
			scoreNode =  "descendant::span[contains(@id,'-awayHeaderScore')] | descendant::span[contains(@id,'-homeHeaderScore')]";
			
			
			statusNode = "//li[contains(@id,'-statusLine1')]";
			statusNode2 = "//li[contains(@id,'-statusLine1')]";
			statusLeft = "//span[contains(@id,'-statusLine2Left')]";
			statusRight = "//span[contains(@id,'-statusLine2Right')]";
			
			
			
			gameCoverageNode = "descendant::div[@id='gameLinks']//a[@href]";
			// for some reason, the link locations change for Women's college basketball. 
			break;
	    case "MLB":
	        playoffNode =  "descendant::td[@class='teamLine']//b";
		
	
			gameDates = doc1.evaluate("//div[@class='key-dates']//h2", doc1, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
			gameDatesText = doc1.evaluate("//div[@class='key-dates']//h2", doc1, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
			findGamesTextPreceding = "preceding::div[@class='game-header']"
			findGamesTextFollowing = "following::div[@class='game-header']"
	
			teamNode =  "descendant::a[contains(@href,'clubhouse')]";
	//<a href="clubhouse?team=kan"
			
			scoreNode =  "descendant::span[contains(@id,'-awayHeaderScore')] | descendant::span[contains(@id,'-homeHeaderScore')]";
			
			
			statusNode = "//li[contains(@id,'-statusLine1')]";
			statusNode2 = "//li[contains(@id,'-statusLine1')]";
			statusLeft = "//li[contains(@id,'-statusLine1')]";
			statusRight = "//span[contains(@id,'-statusLine2')]";
			
			
			
			gameCoverageNode = "descendant::div[@id='gameLinks']//a[@href]";
			// for some reason, the link locations change for Women's college basketball. 
			break;
	
			//<td class="teamTop" id="290910023-st">8:30 PM ET</td>
	   	case "NFL":
		case "NCF":
		case "AFL":
			gameDates = doc1.evaluate("//div[@id='allGames']//div[@class='dateChange']", doc1, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
			findGamesTextPreceding = "preceding::div[@class='gameContainer']";
			findGamesTextFollowing = "following::div[@class='gameContainer']";
			teamNode =  "descendant::td[@class='teamLine']//a[@href]";
			playoffNode =  "descendant::td[@class='teamLine']//b";
			scoreNode =  "descendant::td[@class='tScoreLine']";
			statusNode = "descendant::td[contains(@class,'teamTop')]";
			gameCoverageNode = "descendant::div[@class='gameLinks']//a[@href]";
			break;
		case "WNBA":		
		case "NCW1":		
			gameDates = doc1.evaluate("//div[@id='sbWrapper']//div[@id='dateTitle']", doc1, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
			findGamesTextPreceding = "preceding::div[@class='game']"
			findGamesTextFollowing = "following::div[@class='game']";
			
			teamNode =  "descendant::div[@class='lsTeam']//a[@href]";
			scoreNode =  "descendant::div[contains(@id,'-asT')] | descendant::div[contains(@id,'-hsT')]";
			
			statusNode = "descendant::div[contains(@id,'-clock')]";
			gameCoverageNode = "descendant::div[@id='gameLinks']//a[@href]";
			// for some reason, the link locations change for Women's college basketball. 
			if (G_sportToShow.league=="NCW") {
				gameCoverageNode = "descendant::div[@id='recapHeadline']//a[@href]";
			}
			break;
		case "NBA":		
	         playoffNode =  "descendant::td[@class='teamLine']//b";
		
	
			gameDates = doc1.evaluate("//div[@class='key-dates']//h2", doc1, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
			gameDatesText = doc1.evaluate("//div[@class='key-dates']//h2", doc1, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
			findGamesTextPreceding = "preceding::div[@class='game-header']"
			findGamesTextFollowing = "following::div[@class='game-header']"
	
//			teamNode =  "descendant::a[contains(@style,'color')]";
			teamNode =  "descendant::a[contains(@href,'clubhouse?team')]";
			
			scoreNode =  "descendant::span[contains(@id,'-awayHeaderScore')] | descendant::span[contains(@id,'-homeHeaderScore')]";
			
			
			statusNode = "//span[contains(@class,'-remaining')]";
			statusNode2 = "//li[contains(@id,'-statusLine1')]";
			statusLeft = "//span[contains(@id,'-statusLine2Left')]";
			statusRight = "//span[contains(@id,'-statusLine2Right')]";
			
			
			
			gameCoverageNode = "descendant::div[@id='gameLinks']//a[@href]";
			// for some reason, the link locations change for Women's college basketball. 
			break;
		case "NCW":
		case "NCB":
	
	         playoffNode =  "descendant::td[@class='teamLine']//b";
		
	
			gameDates = doc1.evaluate("//div[@class='key-dates']//h2", doc1, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
			findGamesTextPreceding = "preceding::div[@class='game-header']"
			findGamesTextFollowing = "following::div[@class='game-header']"
	
			teamNode =  "descendant::div[@class='name-link']//a[@href]";
			scoreNode =  "descendant::span[contains(@id,'-awayHeaderScore')] | descendant::span[contains(@id,'-homeHeaderScore')]";
			
			
	//		statusNode = "descendant::span[contains(@class,'-awayHeaderScore')]";
			statusNode = "//span[contains(@id,'-statusLine2Left')]";
			statusNode2 = "//li[contains(@id,'-statusLine1')]";
			statusNode3 = "//li[contains(@id,'-statusLine2Left')]";
			statusLeft = "//span[contains(@id,'-statusLine2Left')]";
			statusRight = "//span[contains(@id,'-statusLine2Right')]";
			
			
			gameCoverageNode = "descendant::div[@id='gameLinks']//a[@href]";
			// for some reason, the link locations change for Women's college basketball. 
			if (G_sportToShow.league=="NCW") {
				gameCoverageNode = "descendant::div[@id='recapHeadline']//a[@href]";
			}
			break;
			
		case "NHLx":
			gameDates = doc1.evaluate("//div[@id='allGames']//div[contains(@class,'leagueCol')]", doc1, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
	//		gameDates = doc1.evaluate("//div[@id='allGames']", doc1, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
	
			findGamesTextPreceding = "preceding::div[@class='gameContainer']";
	//		findGamesTextFollowing = "following::div[@class='gameContainer']";
			findGamesTextFollowing = "descendant::div[@class='gameContainer']";
			teamNode =  "descendant::td[@class='teamLine']//a[@href]";
			playoffNode =  "descendant::td[@class='teamLine']//b";
			scoreNode =  "descendant::td[@class='tScoreLine']";
			statusNode = "descendant::td[contains(@class,'teamTop')]";
			gameCoverageNode = "descendant::div[@class='gameLinks']//a[@href]";
			break;
	}
	
	var stopHere //where we will end searching for current day's games
	
	clearMenu(G_keep_menu_items);  //this number of menu elements were already here
	
	var gameCounter = 0;
	var headerAdded = false;
	
	FeaturedGames=[];  //Keep track of all games in the list to display in ticker
	FeaturedGames[0] = G_sportToShow.league + " : No games being played.";
	
	//writeLog("gamedates: " +gameDates.snapshotItem(0).innerHTML);
	//writeLog("gameDates.snapshotLength " + gameDates.snapshotLength);
	for (ii=0;ii<gameDates.snapshotLength;ii++){
		switch(ii){
			case 0:
	//		writeLog("textpreceding: " +findGamesTextPreceding);
			//if there is more than 1 game date, this works, otherwise it fails... so we just get all the games after the date
			if (gameDates.snapshotLength>1){
	 		 	Games4Today = doc1.evaluate(findGamesTextPreceding, gameDates.snapshotItem(ii+1), null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
	 //		 	writeLog(Games4Today.snapshotLength);
			 	}
			 	else {
	 		 	Games4Today = doc1.evaluate(findGamesTextFollowing, gameDates.snapshotItem(ii), null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
	 //		 	writeLog(Games4Today.snapshotLength);
	 		 	for (aa=0;aa<Games4Today.snapshotLength;aa++){
	//	 		 	writeLog("games4today1: "+Games4Today.snapshotItem(aa).innerHTML);
		 		 	}
			 	}
	 		 	stopHere = Games4Today.snapshotLength;
	 			break;
	 			
	 		case gameDates.snapshotLength-1:
	 		 	Games4Today = doc1.evaluate(findGamesTextFollowing, gameDates.snapshotItem(ii), null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
	 		 	stopHere = Games4Today.snapshotLength;
	//		 	writeLog1(Games4Today.snapshotLength);
	 			break;
	 		default:
	 		 	firstGames = doc1.evaluate(findGamesTextFollowing, gameDates.snapshotItem(ii), null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
	 		 	nextGames = doc1.evaluate(findGamesTextFollowing, gameDates.snapshotItem(ii+1), null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
	 		 	// set the games4today to the rest of the games
	 		 	Games4Today = firstGames;
	 		 	//compare the remaining games and only take the difference in case there is another day of games after this one
	 		 	stopHere = firstGames.snapshotLength - nextGames.snapshotLength;
				}
			//gameDate = gameDates.snapshotItem(ii).innerHTML;
			if (G_sportToShow.league == "NBA" || G_sportToShow.league == "NCB"  || G_sportToShow.league == "NHL"  ) {
				gameDate = gameDates.snapshotItem(ii).innerHTML;
				G_gameDate = gameDate;
				}
			else {
				gameDate = gameDates.snapshotItem(ii).innerHTML;
				G_gameDate = gameDate;
				}
				
	
			if (G_sportToShow.league != "MLB1" && G_sportToShow.league != "NHLX"   ) {
				addDateSep(gameDate,ii);
			}
			else {
				if (!headerAdded) {
				   //get the first span item in the datenavigator id object
	//	 	       var gamesDate = doc1.evaluate("//div[@id='dateNavigator']//span", doc1, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
	// ESPN changed the way their page is rendered.. so this is different now 22 Jun 07
		 	       var gamesDate = doc1.evaluate("//div[@id='allGames']//span", doc1, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
		 	       var dateInfo;
		 	       dateInfo = gamesDate.snapshotItem(0).innerHTML;
					
	//writeLog(dateInfo);	 	       
	//				var a = new Date();
	//				var yy = a.getFullYear().toString();
	//				var mm = (a.getMonth()+1).toString();
	//				var dd = a.getDate().toString();
				
	// espn took out the date header so I just removed this code... 22 Jun 07	
				//	addDateSep(dateInfo,ii);
				//	headerAdded=true;
					addDateSep("Scores",ii);
					headerAdded=true;
				}
			}
		 	
		gNodes = Games4Today;
	
	
	currentInfo ="GameInfo: ";
	////writeLog1 ("game nodes: " +gNodes.snapshotLength);
	var isFavTeamSet=false;
	var scoreInfoNode = "";
	
	   
	
	
	if (gNodes.snapshotLength>0)
	{	
		var noGameTest =  "//div[@class='nextGame']";
		var noGameTest2 = "//div[@class='game']//div[@id='prevNext']";
		var noGameRes;
		var noGameRes2;
		noGameRes = doc1.evaluate(noGameTest, doc1, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
		noGameRes2 = doc1.evaluate(noGameTest2, doc1, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
	
	// if we do NOT find the "no games" text, then proceed..
	if ((noGameRes.snapshotLength==0) && (noGameRes2.snapshotLength==0)) {	
	
	    var favTeam = "";
	    var favTeamName = "";
	
	for (x1=0;x1<stopHere;x1++){
	
		currNode = gNodes.snapshotItem(x1);
	//	teamNode =  "descendant::td[@class='teamLine']//a[@href]";
	
	
		teamInfoNode = doc1.evaluate(teamNode, currNode, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
		//writeLog1("teaminfonodelen: " + teamInfoNode.snapshotLength);
		if (teamInfoNode.snapshotLength==0) {
			teamInfoNode = doc1.evaluate(playoffNode, currNode, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
	        }	
		scoreInfoNode = doc1.evaluate(scoreNode, currNode, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
	
		statusInfoNode = doc1.evaluate(statusNode, currNode, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
	
			if (G_sportToShow.league == "NBA" || G_sportToShow.league == "NCB"  || G_sportToShow.league == "NHL"   || G_sportToShow.league == "MLB" || G_sportToShow.league == "NCW"  ) {
	////			writeLog("statusNode: " + statusNode);
				gameStatus=statusInfoNode.snapshotItem(x1).innerHTML;
				
				statusInfoNodeRight = doc1.evaluate(statusRight, currNode, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
				gameStatusRight = statusInfoNodeRight.snapshotItem(x1).innerHTML;
				
				statusInfoNodeLeft = doc1.evaluate(statusLeft, currNode, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
				gameStatusLeft = statusInfoNodeLeft.snapshotItem(x1).innerHTML;
				
				if (gameStatusLeft.slice(0,1) == "<") {
					gameStatusLeft = "";
				}
	
				statusInfoNodeFinal = doc1.evaluate(statusNode2, currNode, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
				gameStatusFinal = statusInfoNodeFinal.snapshotItem(x1).innerHTML;
	
				if (gameStatusRight == '&nbsp;') {
					gameStatusRight = "";
					}
				
				if (gameStatusLeft == '&nbsp;') {
					gameStatusLeft = "";
					}
				if (gameStatusFinal == '&nbsp;') {
					gameStatusFinal = "";
					}
					
				if (gameStatusLeft == gameStatusFinal ) {
					gameStatusFinal = "";
					}
					
							gameStatus =  gameStatusRight + " " + gameStatusLeft + " " + gameStatusFinal;
				}
			else {
				gameStatus=statusInfoNode.snapshotItem(0).innerHTML;
				}
		
		
	
			// if we didn't get the status the first time, try alternate method
		
	
		
		//gCNode = document.evaluate(gameCoverageNode, currNode,null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
		gCNode = doc1.evaluate(gameCoverageNode, currNode,null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,  null);
		try {
			gCInfo = gCNode.snapshotItem(0).getAttribute("href");
		}
			catch (e) {
				gCInfo = "";
			}
		
		
		if (gCInfo.substr(0,4) != "http") {
			gCInfo = G_Root_URL + gCInfo;
		}
		
		var sport = G_sportToShow.league;
		
	    team1atTeam2="";
	    try {
	        favTeam = GS_favTeams[G_sportToShow.league].split(",")[0];
	        //writeLog('fave team: ' + favTeam);
	        if (favTeamName == "" ) {
		        favTeamName = getTeamName(sport,favTeam);
	    		}
	//        writeLog(' fave team real name: ' + favTeamName);
	    }
	    catch (e) {
	//	    writeLog1("error 2");
	    }
	    
	
		var foundTeam = false;
		var score ;
		score ="";
		
	
	
		for (x=0;x<teamInfoNode.snapshotLength;x++){
			teamInfo={};
			team = teamInfoNode.snapshotItem(x).innerHTML;
			// team changed from name to id  2/19/07
			teamIds = teamInfoNode.snapshotItem(x).href.split("=");
			teamId = teamIds[1]
				
			if (team.indexOf("&amp;")>0){
	//			var rExp = /&amp;/gi;
				team = team.replace(/&amp;/gi,"&");
			}		
			
			try{
				score =  scoreInfoNode.snapshotItem(x).innerHTML;
			}
			catch (e) {
	//	    writeLog1("error 3");			//writeLog1(e);
			}
		    isNaN(score) ? score= " " : score=score ;
			currentInfo +=  "\n" + team + "\t" + score;
			var team1, team2;
			if (team1atTeam2=="")  {
				team1atTeam2 = team + "  " + score ;
	
				team1 = team;
				team1 = teamId;
			}
			else {
				team1atTeam2 += " at " + team + " " + score + " ... " + gameStatus;
	//			writeLog(team1atTeam2);
				team2 = team;
				team2 = teamId;
	//			writeLog1("Adding team" & team);
				addTeam({"id":team,"label":team1atTeam2,"href":gCInfo,"gameStatus":gameStatus,"team1":team1,"team2":team2});
				//if not displaying only my favorite team, add everything to the ticker
				if (!GB_myTeamOnly) {
					FeaturedGames[gameCounter]=team1atTeam2;
					G_featuredGamesLength = FeaturedGames.length-1;
					gameCounter++;
				}
				else {
					if (GB_myTeamOnly && ((team1==favTeam) || (team2==favTeam))) {
						FeaturedGames[gameCounter]=G_sportToShow.league+": "+team1atTeam2;
						G_featuredGamesLength = 0;
						isFavTeamSet=true;
						//gameCounter++;
						}
					if (!isFavTeamSet){
						FeaturedGames[gameCounter]=G_sportToShow.league+": "+favTeamName + " not playing";
						}
					}
				
				}
				
			if (favTeam == teamId){
				foundTeam=true;			
			}
		}
		if (foundTeam){
				var xtooltip=document.getElementById("tooltip-sportsFox");
							xtooltip.value=team1atTeam2;
							bShowFeaturedGame = true;
							sFeaturedGameValue = team1atTeam2;
							gSportsFox.featuredGame = team1atTeam2;
							if (GS_slider) {
								gSportsFox.showSlider();
							}
							
	   	}	
		currentInfo += "\n"+gameStatus +"\n-------------------------";
	} //end for x1
	
	} // end if gameRes==0
	
	else {
	//	writeLog("No games");	
		var noGameInfo;
		var noGameInfoText;
		if (!noGameRes.snapshotLength==0) {
			noGameInfo = noGameRes.snapshotItem(0).innerHTML;
		}
		if (!noGameRes2.snapshotLength==0) {
			noGameInfo = noGameRes2.snapshotItem(0).innerHTML;
		}
		
		noGameInfoText = noGameInfo.split(".");
		//we just get the first part of the message.
		addMessage(noGameInfoText[0]);
	}
	
	
	}
	
	}
	
	
	// clear our created div element.
	// if this is not cleared, another instance could run and will find this div
	// and all results will be double, tripled, etc.
	EP1_div1.innerHTML= "";
	pMeter.parentNode.setAttribute("selectedIndex", "0");  
	
	pMeter.setAttribute("mode", "determined");
	pMeter.setAttribute("value", "0");
	pMeter.setAttribute("collapsed", "true");
	
	}
	

	//------------- end main processing -----
	
	
	
	pub.openSettings = function(){
	
		window.openDialog('chrome://espnlive/content/settings2.xul','settingsWin','resizable=false',G_inits);
		
		}


	
		
	// ------------------- get and set prefs
	
	


	function getPrefs1(){
	
	try {
		$("fbf_timerOnOff").setAttribute("checked", prefs.getBoolPref(timerSet));
		$("fbf_tickerOnOff").setAttribute("checked", prefs.getBoolPref(tickerSet));
		$("fbf_displayTodayOnly").setAttribute("checked", prefs.getBoolPref(todayOnlySet));
		$("fbf_displayMyTeamOnly").setAttribute("checked", prefs.getBoolPref(myTeamOnlySet));
		$("fbf_displaySlider").setAttribute("checked", prefs.getBoolPref(sliderSet));
	}
	catch (e) {
		//
	}
	
	
	}
	
	
	function getPrefs(){
		
	    getPrefsLb(intervalSet,$("fbf_interval"));
	    //writeLog1(getPrefsLb(sportSet,$("fbf_sport")));
	    try {
	    	var team = "fbf_team_" + getPrefsLb(sportSet,$("fbf_sport")).toLowerCase();
		}
		catch (e) {
			return false;
		}
	    var team2 ;
	//    writeLog1(team);
	    getPrefsLb(teamSet,$(team));
	
	    for (league in lb_index2) {
		 team2 = "fbf_team_" + league.toLowerCase() +"_o";	    
	     team = "fbf_team_" + league.toLowerCase() ;
		 //writeLog1("team2: " + team2);
	     getPrefsLb_m(myFavTeamsSet+"."+league,$(team2));
	     getPrefsLb_m(teamSet+"."+league,$(team));
	     }
	  
		var fbf_deck = document.getElementById("vxl_fbfTeamDeck");
		var fbf_deck2 = document.getElementById("vxl_fbfTeamDeck2");
	//writeLog1(lb_index2[$("fbf_sport").value.toUpperCase()]);
		fbf_deck.setAttribute("selectedIndex", lb_index2[$("fbf_sport").value.toUpperCase()]);  	
		fbf_deck2.setAttribute("selectedIndex", lb_index2[$("fbf_sport").value.toUpperCase()]);  	
	  
	  }
	
	  
	//get prefs listbox  
	function getPrefsLb(configItem,configEl){
	
	var retValue;
	var tempVal;
	
	  if (prefs.getPrefType(configItem) == prefs.PREF_STRING){
	    retValue = prefs.getCharPref(configItem);
	    if (retValue !== "") {
		    configEl.value = retValue;
			if (configEl.hasChildNodes()) {
		    for(ii=0;ii<configEl.childNodes.length;ii++){
		       if (configEl.childNodes[ii].value == retValue){
	//				configEl.childNodes[ii].setAttribute("selected","true")	;
			  		 configEl.addItemToSelection(configEl.childNodes[ii]);
					
	 				configEl.ensureElementIsVisible(configEl.childNodes[ii]);				
		       }
	    	}
	       }
	       else {
	//	       configEl.value = retValue;
	       }
	       
	    	
	    }
	  }
	  if (prefs.getPrefType(configItem) == prefs.PREF_BOOL){
	//    retValue = prefs.getCharPref(configItem);
	  
	}
	return retValue;  
	}
	
	
	function getPrefsLb_m(configItem,configEl){
	
	var retValue;
	var tempVal;
	var retArray;
	
	  if (prefs.getPrefType(configItem) == prefs.PREF_STRING){
	    retValue = prefs.getCharPref(configItem);
	//    writeLog1("config item: " +configItem);
	//    writeLog1("retvalue: " +retValue);
		retArray = retValue.split(",");
	//	writeLog1('retArray len:' + retArray.length)
	    if (retValue !== "") {
		   // writeLog1("in 1");
		    configEl.value = retValue;
	//writeLog1(configEl.id +" has childnodes: " +configEl.childNodes.length);
			if (configEl.hasChildNodes()) {
		    for(ii=0;ii<configEl.childNodes.length;ii++){
			    for (jj=0;jj<retArray.length;jj++) {
				    retValue = retArray[jj];
				    //writeLog1("inside: "+retValue);
		          if (configEl.childNodes[ii].value == retValue){
			  		// configEl.childNodes[ii].setAttribute("selected","true")	;
			  		 configEl.addItemToSelection(configEl.childNodes[ii]);
	 				 configEl.ensureElementIsVisible(configEl.childNodes[ii]);				
		       }
	       }
	    	}
	//    	writeLog1("selectedCount of " + configEl.id +": " + configEl.selectedCount)
	       }
	       else {
	//	       configEl.value = retValue;
	       }
	       
	    	
	    }
	  }
	  if (prefs.getPrefType(configItem) == prefs.PREF_BOOL){
	//    retValue = prefs.getCharPref(configItem);
	  
	}
	return retValue;  
	}
	
	  
	pub.setPrefs = function() {  
		writeLog1("setPrefs called");
		var fbf_deck = document.getElementById("vxl_fbfTeamDeck");
	
		var sLeague = lb_index[fbf_deck.getAttribute("selectedIndex")];  	
	
		sServerText = $("fbf_interval");
		try{
			prefs.setCharPref(intervalSet,sServerText.value);
		}
		catch (e) {
			writeLog1("err");
			prefs.setCharPref(intervalSet,"120");
			return false;
		}
		
		sServerText = $("fbf_sport");
		try {
			prefs.setCharPref(sportSet,sServerText.value);
		}
		catch (e) {
			writeLog1("err1");
			return false;
			prefs.setCharPref(sportSet,"NFL");
		}
		GS_favLeague = sServerText.value;
		
		var tempLeague ="fbf_team_"+sLeague;
		sServerText = $(tempLeague);
		try {
			prefs.setCharPref(teamSet,sServerText.value);
		}
		catch(e){
			writeLog1("err2");
			
			prefs.setCharPref(teamSet,"");
			return false;
		}
		
		GS_favTeam = sServerText.value;
		
		try {
		prefs.setBoolPref(timerSet,$("fbf_timerOnOff").checked);
		prefs.setBoolPref(tickerSet,$("fbf_tickerOnOff").checked);
		prefs.setBoolPref(todayOnlySet,$("fbf_displayTodayOnly").checked);
		prefs.setBoolPref(myTeamOnlySet,$("fbf_displayMyTeamOnly").checked);
		prefs.setBoolPref(sliderSet,$("fbf_displaySlider").checked);
		}
		catch(e) {
	//		writeLog1(e);
				writeLog1("err3");

			return false;
			//
		}
		
		//get the selected teams for each sport:
		for (var leagueX in lb_index2) {
			var tempTeam ="fbf_team_"+leagueX.toLowerCase()+"_o";
			var sServerText = $(tempTeam);
			var selectedTeams = sServerText.selectedItems;
			var teamString = "";
			for (y=0;y<selectedTeams.length;y++){
				teamString += selectedTeams[y].value + ",";
			}
		prefs.setCharPref(myFavTeamsSet+"."+leagueX,teamString);
		GS_otherTeamsToShow[leagueX] = teamString;
		
			var tempTeam ="fbf_team_"+leagueX.toLowerCase();
			var sServerText = $(tempTeam);
			var selectedTeams = sServerText.selectedItems;
			var teamString = "";
			for (y=0;y<selectedTeams.length;y++){
				teamString += selectedTeams[y].value + ",";
			}
		prefs.setCharPref(teamSet+"."+leagueX,teamString);
		GS_favTeams[leagueX] = teamString;
		}
	
		//changeTimers causes the menu to change
		var myWin;
		
		if (window.opener.location == 'chrome://browser/content/browser.xul'){
			//calling from sportsFox Options
			myWin = window.opener;
		}
		else {
			// calling from Firefox Extensions Options
			myWin = window.opener.opener;
		}
	
		writeLog1("myWin location= " + myWin.location );

		myWin.com.vinny2020.myPackage.changeTimers({tickerOn:$("fbf_tickerOnOff").checked,timerOn:$("fbf_timerOnOff").checked,timerSpeed:$("fbf_interval").value});
		myWin.com.vinny2020.myPackage.changeTeam({sport:GS_favLeague,team:GS_favTeam,otherTeams:teamString});
		myWin.com.vinny2020.myPackage.setSport(GS_favLeague);
		var onlyMyTeamInTicker = $("fbf_displayMyTeamOnly").checked;
		myWin.com.vinny2020.myPackage.setFavorites({"main":GS_favTeams,"other":GS_otherTeamsToShow,"myTeamOnly":onlyMyTeamInTicker,"sliderSet":$("fbf_displaySlider").checked});
	
		
		return true;
	}
	
	
	pub.settingsInit = function() {
	
		initPrefs();
		getPrefs();
		getPrefs1();
	
	}
	
	// change boxes on settings2.xul screen
	pub.changeBox = function(event){
		//	writeLog1("change seen " + event);
			var fbf_deck = document.getElementById("vxl_fbfTeamDeck");
			var fbf_deck2 = document.getElementById("vxl_fbfTeamDeck2");
		//	writeLog1(lb_index2[event]);
			fbf_deck.setAttribute("selectedIndex", lb_index2[event]);  	
			fbf_deck2.setAttribute("selectedIndex", lb_index2[event]);  	
		}


	//-------------------- end get and set prefs
			
		
	return pub;
 	// this final () returns the results of the function call.. in this case "pub"
	}(); 
	
	writeLog1("end of sportsFox.js");
